---------------------
PatchSet 6244 
Date: 2007/12/05 04:43:55
Author: rousskov
Branch: async-calls
Tag: (none) 
Log:
ICAPInitiate::sendAnswer dialers take care of message locking now.

Members: 
	src/Server.cc:1.20.4.5->1.20.4.6 
	src/client_side_request.cc:1.79.4.4->1.79.4.5 

Index: squid3/src/Server.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Server.cc,v
retrieving revision 1.20.4.5
retrieving revision 1.20.4.6
diff -u -r1.20.4.5 -r1.20.4.6
--- squid3/src/Server.cc	29 Nov 2007 18:43:00 -0000	1.20.4.5
+++ squid3/src/Server.cc	5 Dec 2007 04:43:55 -0000	1.20.4.6
@@ -1,5 +1,5 @@
 /*
- * $Id: Server.cc,v 1.20.4.5 2007/11/29 18:43:00 rousskov Exp $
+ * $Id: Server.cc,v 1.20.4.6 2007/12/05 04:43:55 rousskov Exp $
  *
  * DEBUG:
  * AUTHOR: Duane Wessels
@@ -538,8 +538,6 @@
         if (doneWithIcap()) // we may still be sending virgin response
             handleIcapCompleted();
     }
-   //required because of the HTTPMSGLOCK in ICAPInitiate::sendAnswer!!!
-   HTTPMSGUNLOCK(msg);
 }
 
 // will not receive adapted response headers (and, hence, body)
Index: squid3/src/client_side_request.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/client_side_request.cc,v
retrieving revision 1.79.4.4
retrieving revision 1.79.4.5
diff -u -r1.79.4.4 -r1.79.4.5
--- squid3/src/client_side_request.cc	29 Nov 2007 18:43:00 -0000	1.79.4.4
+++ squid3/src/client_side_request.cc	5 Dec 2007 04:43:55 -0000	1.79.4.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side_request.cc,v 1.79.4.4 2007/11/29 18:43:00 rousskov Exp $
+ * $Id: client_side_request.cc,v 1.79.4.5 2007/12/05 04:43:55 rousskov Exp $
  * 
  * DEBUG: section 85    Client-side Request Routines
  * AUTHOR: Robert Collins (Originally Duane Wessels in client_side.c)
@@ -1144,8 +1144,6 @@
 
     if (!request_satisfaction_mode)
         doCallouts();
-    //required because of the HTTPMSGLOCK in ICAPInitiate::sendAnswer!!!
-    HTTPMSGUNLOCK(msg);
 }
 
 void
